c
c  Author:
c
c	Gerhard Lust
c	Geotechnisches Institut
c	Abt. Isotopengeophysik
c	Bundesversuchs- und Forschungsanstalt Arsenal
c	Faradaygasse 3
c	A-1030 Wien
c
c	Tel.: +43/222/782531/518
c	Datexp : PSI%023226191064::SYSTEM
c
c*********************************************************
c	There is no copyright attached to this program.
c	Use it at your own risk.
c*********************************************************
c
	subroutine	message (msg_flg,text,text_len)
c
	implicit	integer*4 (a-z)
c
	character*80	text
	integer*2	text_len,msg_flg
c
	include		'common.txt'
c
c*-------------------------------------------------------------------------
c
	if (english.eq.1) then
		if (msg_flg.eq.1) then
			write (*,'('' %UNREAD-I-NOMAIL, '',
	1		''user '',a,'' has no selected mail.'')')
	1		text(:text_len)
c
		else if (msg_flg.eq.3) then
			write (*,'('' %UNREAD-F-NOFIL, '',
	1		''file /'',a,''/ not found.'')') text(:text_len)
c
		else if (msg_flg.eq.4) then
			write (*,'('' %UNREAD-W-NOPRIV, '',
	1		''qualifier for '',a,'' ignored '',
	1		''-> SYSPRV required.'')') text(:text_len)
c
		else if (msg_flg.eq.5) then
			write (*,'('' %UNREAD-I-FORWD, '',
	1		''mails forwarded to user '',a,'' .....'')')
	1		text(:text_len)
c
		else if (msg_flg.eq.6) then
			write (*,'('' %UNREAD-E-NOUSR, '',
	1		''no user /'',a,''/ in profile.'')')
	1		text(:text_len)
c
		end if
c
	else
c
		if (msg_flg.eq.1) then
			write (*,'('' %UNREAD-I-NOMAIL, '',
	1		''Benutzer '',a,
	1		'' hat keine gesuchte Mail.'')')
	1		text(:text_len)
c
		else if (msg_flg.eq.3) then
			write (*,'('' %UNREAD-F-NOFIL, '',
	1		''Datei /'',a,''/ nicht gefunden.'')')
	1		text(:text_len)
c
		else if (msg_flg.eq.4) then
			write (*,'('' %UNREAD-W-NOPRIV, '',
	1		''Qualifier bei '',a,'' ignoriert -> '',
	1		''SYSPRV notwendig.'')') text(:text_len)
c
		else if (msg_flg.eq.5) then
			write (*,'('' %UNREAD-I-FORWD, '',
	1		''Mails weitergeleitet zum Benutzer '',a,'' .....'')')
	1		text(:text_len)
c
		else if (msg_flg.eq.6) then
			write (*,'('' %UNREAD-E-NOUSR, '',
	1		''Kein Benutzer /'',a,''/ im VMSMAIL-Profile.'')')
	1		text(:text_len)
c
		end if
c
	end if
c
	return
c
	end
